precision mediump float;
varying vec2 vTextureCoord;
uniform float iTime;
uniform vec2 direction;// = vec2(0.0, 1.0)

uniform sampler2D sTexture;
uniform sampler2D sTexture1;

vec4 getFromColor(vec2 t_uv){
    return texture2D(sTexture1, t_uv);
}

vec4 getToColor(vec2 t_uv){
    return texture2D(sTexture, t_uv);
}


vec4 transition (vec2 uv) {
    vec2 p = uv + iTime * sign(direction);
    vec2 f = fract(p);
    return mix(
    getToColor(f),
    getFromColor(f),
    step(0.0, p.y) * step(p.y, 1.0) * step(0.0, p.x) * step(p.x, 1.0)
    );
}

void main() {
    gl_FragColor = transition(vTextureCoord);
}
