precision mediump float;
varying vec2 vTextureCoord;
uniform float iTime;

uniform sampler2D sTexture;
uniform sampler2D sTexture1;

vec4 getFromColor(vec2 t_uv){
    return texture2D(sTexture1, t_uv);
}

vec4 getToColor(vec2 t_uv){
    return texture2D(sTexture, t_uv);
}

float check(vec2 uv){
    float lineY = uv.x * 0.1 - (iTime * 1.1) + 1.0;
    return smoothstep(lineY, lineY+0.1, uv.y);
}

vec4 transition (vec2 uv) {
    vec2 uv_from = vec2(uv.x, uv.y + 0.2 * iTime);
    vec2 uv_to = vec2(uv.x, uv.y + 0.4 * (iTime - 1.0));
    return mix(getFromColor(uv_from), getToColor(uv_to), check(uv));
}

void main() {
    gl_FragColor = transition(vTextureCoord);
}
